From: James Valleroy <jvalleroy@mailbox.org>
Date: Fri, 13 Dec 2024 15:15:43 -0500
Subject: Make test providers static

---
 .../ShaareManageControllerTest/PinBookmarkTest.php     |  2 +-
 tests/helper/DailyPageHelperTest.php                   | 18 +++++++++---------
 tests/legacy/LegacyControllerTest.php                  |  2 +-
 3 files changed, 11 insertions(+), 11 deletions(-)

diff --git a/tests/front/controller/admin/ShaareManageControllerTest/PinBookmarkTest.php b/tests/front/controller/admin/ShaareManageControllerTest/PinBookmarkTest.php
index b89206c..42f6e95 100644
--- a/tests/front/controller/admin/ShaareManageControllerTest/PinBookmarkTest.php
+++ b/tests/front/controller/admin/ShaareManageControllerTest/PinBookmarkTest.php
@@ -66,7 +66,7 @@ class PinBookmarkTest extends TestCase
         static::assertSame($expectedValue, $bookmark->isSticky());
     }
 
-    public function initialStickyValuesProvider(): array
+    public static function initialStickyValuesProvider(): array
     {
         // [initialStickyState, isStickyAfterPin]
         return [[null, true], [false, true], [true, false]];
diff --git a/tests/helper/DailyPageHelperTest.php b/tests/helper/DailyPageHelperTest.php
index 8dab908..595357a 100644
--- a/tests/helper/DailyPageHelperTest.php
+++ b/tests/helper/DailyPageHelperTest.php
@@ -189,7 +189,7 @@ class DailyPageHelperTest extends TestCase
     /**
      * Data provider for testExtractRequestedType() test method.
      */
-    public function getRequestedTypes(): array
+    public static function getRequestedTypes(): array
     {
         return [
             [['month' => null], DailyPageHelper::DAY],
@@ -207,7 +207,7 @@ class DailyPageHelperTest extends TestCase
     /**
      * Data provider for testExtractRequestedDateTime() test method.
      */
-    public function getRequestedDateTimes(): array
+    public static function getRequestedDateTimes(): array
     {
         return [
             [DailyPageHelper::DAY, '20201013', null, new DateTime('2020-10-13')],
@@ -241,7 +241,7 @@ class DailyPageHelperTest extends TestCase
     /**
      * Data provider for testGetFormatByType() test method.
      */
-    public function getFormatsByType(): array
+    public static function getFormatsByType(): array
     {
         return [
             [DailyPageHelper::DAY, 'Ymd'],
@@ -253,7 +253,7 @@ class DailyPageHelperTest extends TestCase
     /**
      * Data provider for testGetStartDatesByType() test method.
      */
-    public function getStartDatesByType(): array
+    public static function getStartDatesByType(): array
     {
         return [
             [DailyPageHelper::DAY, new DateTimeImmutable('2020-10-09 04:05:06'), new DateTime('2020-10-09 00:00:00')],
@@ -265,7 +265,7 @@ class DailyPageHelperTest extends TestCase
     /**
      * Data provider for testGetEndDatesByType() test method.
      */
-    public function getEndDatesByType(): array
+    public static function getEndDatesByType(): array
     {
         return [
             [DailyPageHelper::DAY, new DateTimeImmutable('2020-10-09 04:05:06'), new DateTime('2020-10-09 23:59:59')],
@@ -278,7 +278,7 @@ class DailyPageHelperTest extends TestCase
     /**
      * Data provider for testGetDescriptionsByType() test method.
      */
-    public function getDescriptionsByType(): array
+    public static function getDescriptionsByType(): array
     {
         return [
             [DailyPageHelper::DAY, $date = new DateTimeImmutable(), 'Today - ' . $date->format('F j, Y')],
@@ -292,7 +292,7 @@ class DailyPageHelperTest extends TestCase
     /**
      * Data provider for testGeDescriptionsByTypeNotIncludeRelative() test method.
      */
-    public function getDescriptionsByTypeNotIncludeRelative(): array
+    public static function getDescriptionsByTypeNotIncludeRelative(): array
     {
         return [
             [DailyPageHelper::DAY, $date = new \DateTimeImmutable(), $date->format('F j, Y')],
@@ -306,7 +306,7 @@ class DailyPageHelperTest extends TestCase
     /**
      * Data provider for testGetRssLengthsByType() test method.
      */
-    public function getRssLengthsByType(): array
+    public static function getRssLengthsByType(): array
     {
         return [
             [DailyPageHelper::DAY],
@@ -318,7 +318,7 @@ class DailyPageHelperTest extends TestCase
     /**
      * Data provider for testGetCacheDatePeriodByType() test method.
      */
-    public function getCacheDatePeriodByType(): array
+    public static function getCacheDatePeriodByType(): array
     {
         return [
             [
diff --git a/tests/legacy/LegacyControllerTest.php b/tests/legacy/LegacyControllerTest.php
index 1a2549a..4bcfb7b 100644
--- a/tests/legacy/LegacyControllerTest.php
+++ b/tests/legacy/LegacyControllerTest.php
@@ -62,7 +62,7 @@ class LegacyControllerTest extends TestCase
      *                   - string slimRoute
      *                   - bool   isLoggedIn
      */
-    public function getProcessProvider(): array
+    public static function getProcessProvider(): array
     {
         return [
             ['post', [], '/admin/shaare', true],
